Name:           python-distutils-extra
Version:        2.32
Release:        1%{?dist}
Summary:        Integrate more support into Python's distutils 

Group:          Development/Libraries
License:        GPLv2+
URL:            https://launchpad.net/python-distutils-extra
Source0:        http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
# Support use of distutils-extra on systems without DISPLAY
# https://bugs.launchpad.net/python-distutils-extra/+bug/735408
Patch0:         dont_import_gtk.patch
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
       

%description
Enables you to easily integrate gettext support, themed icons and
scrollkeeper based documentation into Python's distutils. 


%prep
%setup -q
#%patch0 -p1 -b .dont_import_gtk


%build
%{__python} setup.py build


%install
%{__python} setup.py install --root=%{buildroot} 
chmod a+x %{buildroot}%{python_sitelib}/DistUtilsExtra/command/build_extra.py


%files
%defattr(-,root,root,-)
%doc LICENSE doc/*
%{python_sitelib}/DistUtilsExtra/
%{python_sitelib}/python_distutils_extra*.egg-info


%changelog
* Tue Mar 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 2.32-1
- Updated to new upstream version 2.32

* Sun Nov 13 2011 Fabian Affolter <mail@fabian-affolter.ch> - 2.31-1
- Updated to new upstream version 2.31

* Wed Aug 31 2011 Fabian Affolter <mail@fabian-affolter.ch> - 2.29-1
- Updated to new upstream version 2.29

* Thu Jun 02 2011 Fabian Affolter <mail@fabian-affolter.ch> - 2.27-1
- Updated to new upstream version 2.27

* Wed Mar 16 2011 Fabian Affolter <mail@fabian-affolter.ch> - 2.26-1
- Added patch for DISPLAY support
- Updated to new upstream version 2.26

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 12 2010 Fabian Affolter <mail@fabian-affolter.ch> - 2.22-1
- Remove archive_name from 2010-06-04, this was useless and wrong
- Updated to new upstream version 2.22

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.19-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jun 04 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 2.19-1
- Update to new upstream version 2.19.  Resolves rhbz#600307
- Update spec to match latest guidelines

* Thu Feb 04 2010 Fabian Affolter <mail@fabian-affolter.ch> - 2.15-1
- Updated to new upstream version 2.15

* Sun Dec 20 2009 Fabian Affolter <mail@fabian-affolter.ch> - 2.12-2
- Bumped release

* Mon Dec 14 2009 Fabian Affolter <mail@fabian-affolter.ch> - 2.12-1
- Updated to new upstream version 2.12

* Sat Aug 01 2009 Fabian Affolter <mail@fabian-affolter.ch> - 2.6-2
- Bump release

* Sat Aug 01 2009 Fabian Affolter <mail@fabian-affolter.ch> - 2.6-1
- Minor spec file changes
- Changed source to launchpad
- Updated to new upstream version 2.6

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.91.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.91.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.91.2-2
- Changed license to GPLv2+ 

* Sat Nov 18 2008 Fabian Affolter <mail@fabian-affolter.ch> - 1.91.2-1
- Initial package for Fedora

